- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-log.h File Reference

`#include <ostream>`

Include dependency graph for sbuild-log.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | sbuild
## Enumerations
enum | sbuild::DebugLevel { sbuild::DEBUG_NONE = -1, sbuild::DEBUG_NOTICE = 1, sbuild::DEBUG_INFO = 2, sbuild::DEBUG_WARNING = 3, sbuild::DEBUG_CRITICAL = 4 }
| Debugging level. More...
## Functions
std::ostream & | sbuild::log_info ()
| Log an informational message.
std::ostream & | sbuild::log_warning ()
| Log a warning message.
std::ostream & | sbuild::log_error ()
| Log an error message.
std::ostream & | sbuild::log_debug (DebugLevel level)
| Log a debug message.
void | sbuild::log_exception_warning (std::exception const &e)
| Log an exception as a warning.
void | sbuild::log_exception_error (std::exception const &e)
| Log an exception as an error.
## Variables
DebugLevel | sbuild::debug_level = sbuild::DEBUG_NONE
| The debugging level in use.